feed-1.3.2.1: Interfacing with RSS (v 0.9x, 2.x, 1.0) + Atom feeds.

Copyright | (c) Galois Inc. 2008 (c) Sigbjorn Finne 2009-
License | BSD3
Maintainer | Sigbjorn Finne <sof@forkIO.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.RSS1.Syntax

Description

# Documentation

type URIString = Text #

type TitleString = Text #

type TimeString = Text #

type TextString = Text #

data Feed #

Constructors

Feed |

Fields

- feedVersion :: Text
- feedChannel :: Channel
- feedImage :: Maybe Image
- feedItems :: [Item]
- feedTextInput :: Maybe TextInputInfo
- feedTopics :: [TaxonomyTopic]
- feedOther :: [Element]
- feedAttrs :: [Attr]

#### Instances

Instances details

Show Feed # |
Instance details Defined in Text.RSS1.Syntax Methods showsPrec :: Int -> Feed -> ShowS # show :: Feed -> String # showList :: [Feed] -> ShowS #

data Channel #

Constructors

Channel |

Fields

- channelURI :: URIString
- channelTitle :: TitleString
- channelLink :: URIString
- channelDesc :: TextString
- channelImageURI :: Maybe URIString
- channelItemURIs :: [URIString]
- channelTextInputURI :: Maybe URIString
- channelDC :: [DCItem]
- channelUpdatePeriod :: Maybe UpdatePeriod
- channelUpdateFreq :: Maybe Integer
- channelUpdateBase :: Maybe TimeString
- channelContent :: [ContentInfo]
- channelTopics :: [URIString]
- channelOther :: [Element]
- channelAttrs :: [Attr]

#### Instances

Instances details

Show Channel # |
Instance details Defined in Text.RSS1.Syntax Methods showsPrec :: Int -> Channel -> ShowS # show :: Channel -> String # showList :: [Channel] -> ShowS #

data Image #

Constructors

Image |

Fields

- imageURI :: URIString
- imageTitle :: TextString
- imageURL :: URIString
- imageLink :: URIString
- imageDC :: [DCItem]
- imageOther :: [Element]
- imageAttrs :: [Attr]

#### Instances

Instances details

Show Image # |
Instance details Defined in Text.RSS1.Syntax Methods showsPrec :: Int -> Image -> ShowS # show :: Image -> String # showList :: [Image] -> ShowS #

data Item #

Constructors

Item |

Fields

- itemURI :: URIString
- itemTitle :: TextString
- itemLink :: URIString
- itemDesc :: Maybe TextString
- itemDC :: [DCItem]
- itemTopics :: [URIString]
- itemContent :: [ContentInfo]
- itemOther :: [Element]
- itemAttrs :: [Attr]

#### Instances

Instances details

Show Item # |
Instance details Defined in Text.RSS1.Syntax Methods showsPrec :: Int -> Item -> ShowS # show :: Item -> String # showList :: [Item] -> ShowS #

data TextInputInfo #

Constructors

TextInputInfo |

Fields

- textInputURI :: URIString
- textInputTitle :: TextString
- textInputDesc :: TextString
- textInputName :: TextString
- textInputLink :: URIString
- textInputDC :: [DCItem]
- textInputOther :: [Element]
- textInputAttrs :: [Attr]

#### Instances

Instances details

Show TextInputInfo # |
Instance details Defined in Text.RSS1.Syntax Methods showsPrec :: Int -> TextInputInfo -> ShowS # show :: TextInputInfo -> String # showList :: [TextInputInfo] -> ShowS #

data TaxonomyTopic #

Constructors

TaxonomyTopic |

Fields

- taxonomyURI :: URIString
- taxonomyLink :: URIString
- taxonomyTitle :: Maybe Text
- taxonomyDesc :: Maybe Text
- taxonomyTopics :: [URIString]
- taxonomyDC :: [DCItem]
- taxonomyOther :: [Element]

#### Instances

Instances details

Show TaxonomyTopic # |
Instance details Defined in Text.RSS1.Syntax Methods showsPrec :: Int -> TaxonomyTopic -> ShowS # show :: TaxonomyTopic -> String # showList :: [TaxonomyTopic] -> ShowS #

data UpdatePeriod #

Constructors

Update_Hourly |
Update_Daily |
Update_Weekly |
Update_Monthly |
Update_Yearly |

#### Instances

Instances details

Show UpdatePeriod # |
Instance details Defined in Text.RSS1.Syntax Methods showsPrec :: Int -> UpdatePeriod -> ShowS # show :: UpdatePeriod -> String # showList :: [UpdatePeriod] -> ShowS #
Eq UpdatePeriod # |
Instance details Defined in Text.RSS1.Syntax Methods (==) :: UpdatePeriod -> UpdatePeriod -> Bool # (/=) :: UpdatePeriod -> UpdatePeriod -> Bool #

data ContentInfo #

Constructors

ContentInfo |

Fields

- contentURI :: Maybe URIString
- contentFormat :: Maybe URIString
- contentEncoding :: Maybe URIString
- contentValue :: Maybe Text

#### Instances

Instances details

Show ContentInfo # |
Instance details Defined in Text.RSS1.Syntax Methods showsPrec :: Int -> ContentInfo -> ShowS # show :: ContentInfo -> String # showList :: [ContentInfo] -> ShowS #
Eq ContentInfo # |
Instance details Defined in Text.RSS1.Syntax Methods (==) :: ContentInfo -> ContentInfo -> Bool # (/=) :: ContentInfo -> ContentInfo -> Bool #

nullFeed :: URIString -> TitleString -> Feed #

nullChannel :: URIString -> TitleString -> Channel #

nullImage :: URIString -> Text -> URIString -> Image #

nullItem :: URIString -> TextString -> URIString -> Item #

nullTextInputInfo :: URIString -> TextString -> TextString -> URIString -> TextInputInfo #

nullTaxonomyTopic :: URIString -> URIString -> TaxonomyTopic #

nullContentInfo :: ContentInfo #